oasis.names.tc.saml._1_0.assertion

## Class AuthorityBinding

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.AuthorityBinding

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class AuthorityBinding
      extends Object
      implements Serializable

  Java class for AuthorityBindingType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthorityBindingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="AuthorityKind" use="required" type="{http://www.w3.org/2001/XMLSchema}QName" />
             <attribute name="Location" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Binding" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorityBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getAuthorityKind()` Gets the value of the authorityKind property.
    `String` | `getBinding()` Gets the value of the binding property.
    `String` | `getLocation()` Gets the value of the location property.
    `void` | `setAuthorityKind(QName value)` Sets the value of the authorityKind property.
    `void` | `setBinding(String value)` Sets the value of the binding property.
    `void` | `setLocation(String value)` Sets the value of the location property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorityBinding

          public AuthorityBinding()

  - ### Method Detail

    - #### getAuthorityKind

          public QName getAuthorityKind()

      Gets the value of the authorityKind property.
      Returns:
        possible object is `QName`

    - #### setAuthorityKind

          public void setAuthorityKind(QName value)

      Sets the value of the authorityKind property.
      Parameters:
        `value` - allowed object is `QName`

    - #### getLocation

          public String getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `String`

    - #### setLocation

          public void setLocation(String value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBinding

          public String getBinding()

      Gets the value of the binding property.
      Returns:
        possible object is `String`

    - #### setBinding

          public void setBinding(String value)

      Sets the value of the binding property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.